##### 7.7.7.0. ivMis2Dim

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  ivMis2Dim(M); M a list of intvecs

Return:
  int, the K-dimension of the given algebra

Purpose:
  Computing the K-dimension out of given mistletoes

Assume:
  - The mistletoes have to be ordered lexicographically -> OrdMisLex.
  Otherwise the returned value may differ from the K-dimension.
  - basering is a Letterplace ring.
  - mistletoes are stored as intvecs, as described in the overview

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y),dp;
    def R = makeLetterplaceRing(5); // constructs a Letterplace ring
    R;
    ==> //   characteristic : 0
    ==> //   number of vars : 10
    ==> //        block   1 : ordering a
    ==> //                  : names    x(1) y(1) x(2) y(2) x(3) y(3) x(4) y(4) x(\
       5) y(5)
    ==> //                  : weights     1    1    1    1    1    1    1    1   \
        1    1
    ==> //        block   2 : ordering dp
    ==> //                  : names    x(1) y(1)
    ==> //        block   3 : ordering dp
    ==> //                  : names    x(2) y(2)
    ==> //        block   4 : ordering dp
    ==> //                  : names    x(3) y(3)
    ==> //        block   5 : ordering dp
    ==> //                  : names    x(4) y(4)
    ==> //        block   6 : ordering dp
    ==> //                  : names    x(5) y(5)
    ==> //        block   7 : ordering C
    setring R; // sets basering to Letterplace ring
    intvec i1 = 1,2; intvec i2 = 2,1,2;
    // the mistletoes are xy and yxy, which are already ordered lexicographically
    list L = i1,i2;
    ivMis2Dim(L); // returns the dimension of the factor algebra
    ==> 6

User manual for Singular version 4-0-3, 2016, generated by texi2html.